ADB(4)

NAME
adb - introduction to Apple Desktop Bus support

SYNOPSIS
adb0 at macobio?
abtn* at adb?
akbd* at adb?
ams* at adb?
apm0 at adb?
piic0 at adb?

DESCRIPTION
The Apple Desktop Bus (ADB) is the single-master, multiple-slave, low-speed serial bus interface used by Macintosh computers to connect input devices such as keyboards, mice, trackballs, and graphics tablets to the machine.

Originally developed for the Mac68K port, the adb driver was heavily modified when it was ported to the PowerPC architecture. During this port it seems that the original adb event device was split into many smaller subsystems, namely:

1.  Apple Keyboard driver (akbd(4)).
2.  Apple Mouse Support driver (ams(4)).

New adb devices such as the Apple Brightness / Volume Control Button (abtn(4)), some energy control (apm(4)), and I2C controller (piic(4)) were added to the PowerPC port later to complement the ADB system.

OpenBSD provides support for the following devices:

abtn(4)
    Apple brightness/volume/eject button control
akbd(4)
    Apple Keyboard Device
ams(4)
    Apple Mouse Support
apm(4)
    advanced power management device interface
piic(4)
    Apple via-pmu I2C controller

SEE ALSO
intro(4)

HISTORY
The adb interface first appeared in NetBSD 0.9. It has been under development ever since. The original adb manpage was written by Colin Wood for NetBSD/Mac68K.

AUTHORS
-nosplit Original ADB support was written by Bradley A. Grantham. The direct ADB routines were written by John P. Wittkoski.